com.dlsc.flexgantt.policy.layer

## Enum ICrosshairPolicy.LabelPosition

- java.lang.Object
- - java.lang.Enum<ICrosshairPolicy.LabelPosition>
  - - com.dlsc.flexgantt.policy.layer.ICrosshairPolicy.LabelPosition

- All Implemented Interfaces:
    Serializable, Comparable<ICrosshairPolicy.LabelPosition>
  Enclosing interface:
    ICrosshairPolicy

      public static enum ICrosshairPolicy.LabelPosition
      extends Enum<ICrosshairPolicy.LabelPosition>

  Since:
    1.0
  Version:
    $Revision: 1.6 $
  Author:
    Dirk Lemmermann

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOWER_LEFT` Constant used when looking up a label for the lower left corner.
    `LOWER_RIGHT` Constant used when looking up a label for the lower right corner.
    `UPPER_LEFT` Constant used when looking up a label for the upper left corner.
    `UPPER_RIGHT` Constant used when looking up a label for the upper right corner.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ICrosshairPolicy.LabelPosition` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ICrosshairPolicy.LabelPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UPPER_LEFT

          public static final ICrosshairPolicy.LabelPosition UPPER_LEFT

      Constant used when looking up a label for the upper left corner.
      Since:
        1.0
      See Also:
        `ICrosshairPolicy.isLabelVisible(LabelPosition)`, `ICrosshairPolicy.getLabel(Object, TimelineObjectPath, IGanttChartModel, long, com.dlsc.flexgantt.policy.layer.ICrosshairPolicy.LabelPosition)`

    - #### UPPER_RIGHT

          public static final ICrosshairPolicy.LabelPosition UPPER_RIGHT

      Constant used when looking up a label for the upper right corner.
      Since:
        1.0
      See Also:
        `ICrosshairPolicy.isLabelVisible(LabelPosition)`, `ICrosshairPolicy.getLabel(Object, TimelineObjectPath, IGanttChartModel, long, com.dlsc.flexgantt.policy.layer.ICrosshairPolicy.LabelPosition)`

    - #### LOWER_LEFT

          public static final ICrosshairPolicy.LabelPosition LOWER_LEFT

      Constant used when looking up a label for the lower left corner.
      Since:
        1.0
      See Also:
        `ICrosshairPolicy.isLabelVisible(LabelPosition)`, `ICrosshairPolicy.getLabel(Object, TimelineObjectPath, IGanttChartModel, long, com.dlsc.flexgantt.policy.layer.ICrosshairPolicy.LabelPosition)`

    - #### LOWER_RIGHT

          public static final ICrosshairPolicy.LabelPosition LOWER_RIGHT

      Constant used when looking up a label for the lower right corner.
      Since:
        1.0
      See Also:
        `ICrosshairPolicy.isLabelVisible(LabelPosition)`, `ICrosshairPolicy.getLabel(Object, TimelineObjectPath, IGanttChartModel, long, com.dlsc.flexgantt.policy.layer.ICrosshairPolicy.LabelPosition)`

  - ### Method Detail

    - #### values

          public static ICrosshairPolicy.LabelPosition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ICrosshairPolicy.LabelPosition c : ICrosshairPolicy.LabelPosition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ICrosshairPolicy.LabelPosition valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.